

#include "DCDIALOG.CH"
#include "SET.CH"
#include "XBP.CH"
#include "APPEVENT.CH"
#include "dcpick.ch"
#include "dcapp.ch"
#include "dcbitmap.ch"
#include "dcicon.ch"
#INCLUDE "DLL.CH"
#include "deldbe.ch"
#include "Directry.ch"



FUNCTION Main()
LOCAL GetList := {}, GetOptions, oToolBar, oDlg, drawingArea, ;
       oXbp, nEvent, mp1, mp2, oApp := SetAppWindow(), oMenuBar, ;
       oMenuFile, oMenuItem, oSubmenu2,oSubmenu3,oTracker

do appsys

SET EPOCH TO 1920


PUBLIC oMainDialog

oisuser="Test"
PUBLIC oAppWindow := SetAppWindow()



SET DELETED ON

SET COLLATION TO AMERICAN
SET DATE FORMAT TO 'mm/dd/yyyy'



IF ! DbeLoad( "CDXDBE",.T.)
    Alert( "Database-Engine CDXDBE not loaded" , {"OK"} )
ENDIF

IF ! DbeLoad( "FOXDBE",.T.)
     Alert( "Database-Engine FOXDBE not loaded" , {"OK"} )
ENDIF

IF ! DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
     Alert( "FOXCDX Database-Engine;Could not build engine" , {"OK"} )
ENDIF





DCMENUBAR oMenuBar

DCSUBMENU oMenuFile PROMPT '&Test' PARENT oMenuBar


DCMENUITEM PROMPT 'Exit' PARENT oMenuFile ;
  ACTION {||PostAppEvent(xbeP_Close,nil,nil,oDlg)}


DCGETOPTIONS   TABSTOP  ;
    WINDOWHEIGHT 300 ;
    WINDOWWIDTH 400 ;
    BITMAP 4022 ;



DCREAD GUI ;
   TITLE ;
    'FRED TEST MENU' ;
   PARENT @oDlg ;
   OPTIONS GetOptions ;
   EVAL {|o|SetAppWindow(o),M->oMainDialog := o, ;
          o:setFrameState(XBPDLG_FRAMESTAT_MAXIMIZED )}


RETURN  Nil

* ------------------

STATIC PROCEDURE CrtMenuBlock( bAction )

M->oMainDialog:hide()
//M->oCrtWindow:show()
//SetAppWindow(M->oCrtWindow)
SetAppFocus(M->oCrtWindow)
Eval(bAction)
//M->oCrtWindow:hide()
M->oMainDialog:show()
SetAppWindow(M->oMainDialog)
SetAppFocus(M->oMainDialog)

RETURN

* ------------------

PROCEDURE AppSys()

  LOCAL oCrt, nAppType := AppType()

  DO CASE

    CASE .t.

    // PM Mode: create an XbpCrt instance
    CASE nAppType == APPTYPE_PM

      // First active SetAppWindow() == Desktop
      AppDesktop ( SetAppWindow() )

      // Create XbpCRT object
      oCrt := XbpCrt():New ( NIL, NIL, { 0, 0 }, 25, 80 )
      oCrt:FontWidth  := 8
      oCrt:FontHeight := 16
#ifdef __OS2__
      oCrt:FontName   := "System VIO"
#endif
#ifdef __WIN32__
      oCrt:FontName   := "Alaska Crt"
      oCrt:Title      := "eXPress++ 1.0 Alpha 1.00"
#endif
      oCrt:Create()

      // Init Presentation Space
      oCrt:PresSpace()

      // XbpCrt gets active window and output device
      SetAppWindow ( oCrt )

    // VIO or NOVIO Mode: create a RootCrt instance
    CASE nAppType == APPTYPE_VIO .OR. nAppType == APPTYPE_NOVIO

      // Create RootCrt object
      oCrt := RootCrt():New():Create()

      // RootCrt gets active window and output device
      SetAppWindow ( oCrt )

  ENDCASE

RETURN

* --------------------
